#======
# Copyright (c) IBM Corp. 2011, 2015.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


class ScriptBase(object):
    """
    Common interface to all scripts
    """

    def onPreInstall(self, data):
        """
        Handles the pre install event

        Args:
            data (dict): relevant arguments for that given event
        """
        raise NotImplementedError("Not implemented")

    def onPostInstall(self, data):
        """
        Handles the post install event

        Args:
            data (dict): relevant arguments for that given event
        """
        raise NotImplementedError("Not implemented")
