# -*- coding: utf-8 -*-

#======
# Copyright (c) IBM Corp. 2011, 2015.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


from modules.i18n.i18n import _

#
# CONSTANTS
#

#
# preinstall
#

ERROR_REPO_URL = _("Invalid package repository URL provided on kernel command-line.")
ERROR_CMDLINE_READ = _("Failed to read /proc/cmdline file.")
#
# menu
#
WELCOME_IBM_POWERKVM = _("Welcome to IBM PowerKVM %s")
SELECT_ONE_OF_THE_OPTIONS_BELOW = _("Select one of the options below and follow the instructions.")
ARE_YOU_SURE_YOU_WANTO_TO = _("Are you sure you want to start the installation?\n\n")
IBM_POWERKVM = _("IBM PowerKVM %s")
OK = _("Ok")
BACK = _("Back")
SKIP = _("Skip")
NEXT = _("Next")
EDIT = _("Edit")
HELP_LINE = _("  <Tab>/<Shift-Tab> between elements   |  <Space> selects")


#
# rootchangepassword screen
#
ERROR_PASSWD_LENGTH = _("Password Length")
ERROR_PASSWD_LENGTH_MSG = _("The root password must be at least 6 characters long.")
ERROR_PASSWD_MISMATCH = _("Password Mismatch")
ERROR_PASSWD_MISMATCH_MSG = _("The passwords you entered were different. Please try again.")
ERROR_NO_DISK_SELECTED = _("No disk selected")
ERROR_NO_DISK_SELECTED_MSG = _("You must select at least one disk to install on.")
PASSWD_CONFIRM_LABEL = _("Password (confirm):")
PASSWD_LABEL = _("Password:")
PASSWD_WINDOW_MSG = _("Pick a root password. You must type it twice to ensure you know what it is and didn't make a mistake in typing. Remember that the root password is a critical part of system security!")
PASSWD_WINDOW_TITLE = _("Root Password")

#
# timezone screen
#
TIMEZONE_LABEL = _("Select the timezone for the system")
TIMEZONE_UTC_CHECKBOX_LABEL = _("System clock uses UTC")
TIMEZONE_SELECTION_LABEL = _("Timezone Selection")

#
# listnetworkifaces screen
#
LISTNETIFACE_SELECT_DEVICE = _("Select the device to be configured:")
LISTNETIFACE_CONFIG_NET = _("Configure network")
UP = _("UP")
DOWN = _("DOWN")

#
# dnssetup screen
#
DNSSETUP_HOSTNAME_LABEL = _("Hostname")
DNSSETUP_HOSTNAME_TIP_LABEL = _("Enter hostname in Fully Qualified Domain Name (FQDN) format, e.g., server.example.com.")
DNSSETUP_SEARCH_LABEL = _("Search")
DNSSETUP_DNS_LIST_LABEL = _("DNS list")
DNSSETUP_DNS_LIST_TIP_LABEL = _("You may enter up to 3 domain name servers. Separate them with a space (e.g. 'server1 server2').")
DNSSETUP_CONFIG_DNS = _("DNS Configuration")

#
# ntpsetup screen
#
NTPSETUP_CONFIG_NTP = _("NTP Configuration")
NTPSETUP_SERVER_1 = _("NTP server 1: ")
NTPSETUP_SERVER_2 = _("NTP server 2: ")
NTPSETUP_SERVER_3 = _("NTP server 3: ")
NTPSETUP_SERVER_4 = _("NTP server 4: ")
ENABLE_LABEL = _("Enable")

#
# datetime screen
#
DATE_TIME_SETUP = _("Local date and time configuration")
DATE_LABEL = _("Date")
DATE_YEAR_LABEL = _("YYYY")
DATE_MONTH_LABEL = _("MM")
DATE_DAY_LABEL = _("DD")
TIME_LABEL = _("Time")
TIME_HOUR_LABEL = _("HH")
TIME_MINUTE_LABEL = _("MM")
TIME_SECOND_LABEL = _("SS")
ERROR_DATETIME_FORMAT = _("Date time error")
ERROR_DATETIME_FORMAT_MSG = _("Date or time format is not correct!\nThe input: %s\nCorrect format: YYYY/MM/DD HH:MM:SS")


#
# networkconfig screen
#
ERROR_INVALID_ENTRY= _("Invalid Entry")
ERROR_INVALID_ENTRY_MSG= _("Either DHCP must be selected, or IP must be provided.")
NETWORKCFG_DEVICE_LABEL = _("Device")
NETWORKCFG_MACADDR_LABEL = _("MAC Address")
NETWORKCFG_DHCP_LABEL = _("Use DHCP")
NETWORKCFG_IP_LABEL = _("Static IP")
NETWORKCFG_NETMASK_LABEL = _("Netmask")
NETWORKCFG_GATEWAY_LABEL = _("Default gateway IP")
NETWORKCFG_DEVICE_CONFIG = _("Network Device Configuration")
NETWORKCFG_BRIDGE_LABEL = _("Create Network bridge device (br%s)")

# checkharddisk
#
YES = _("Yes")
NO = _("No")

#
# selectharddisk
#
SELECT_DEVICE_TO_INSTALL = _("Select the device to install IBM PowerKVM. All data in the selected disk will be lost.")
SELECT_TITLE = _("Disk information")
SELECT_HELP_LINE = _("  <Tab>/<Shift-Tab> between elements  |  <F3> for details")
ERROR_DISK_SIZE = _("Disk size")
ERROR_DISKS_SIZES_MSG = _("The sum of disks sizes must be greater than %(minDiskSize)s.")
ERROR_NO_DISK_FOUND = _("No disk found")
ERROR_NO_DISK_FOUND_MSG = _("No disks were found in the system.")
SELECT_ID = _("ID:")
SELECT_SIZE = _("Size")
SELECT_MULTIPATH = _("Multipath:")
SELECT_NAME = _("Name")
SELECT_FILESYSTEM = _("Filesystem")
SELECT_VGRAID = _("VG/Raid")


#
# chooselanguage
#
CHOOSE_LANGUAGE = _("Choose the language")

#
# confirmreinstall
#
WARNING_MSG = _("Select an IBM PowerKVM installation to overwrite. All \
system files, including any virtualization configuration files will be \
lost. Only the contents of /var/lib/libvirt/images and /var (/var/log \
for installations with PowerKVM v2.1.x disk layout) will be \
preserved. You are advised to back up your Virtual Machines' \
configurations before proceeding.")
REINSTALL_DISK_MSG = _("A previous installation of PowerKVM has been detected at:\n\n%s\n\n")

#
# installprogress
#
PREPARING_TO_INSTALL_IBM_POWERKVM = _("Preparing to install IBM PowerKVM System")
ERROR_INSTALLATION = _("Unknown error")
ERROR_INSTALLATION_MSG = _("Sorry something went wrong the proper error \
message is on the log file")
WORKING = _("Working...")

#
# rebootsystem
#
REBOOT_MSG = _("Please, reboot your system now.")
REBOOT = _("Reboot")
INSTALLATION_COMPLETED = _("Installation completed! ")

#
# reinstallerror
#
REINSTALL_ERROR_MSG = _("The reinstall process can't continue. No previous \
system was found. Aborting!")

#
# PKVM ERROR
#
INSTALL_EXIT_CODE_MSG = _("Installation exited with error code: %s")
LOG_AVAIL_MSG = _("Log is available on %s")
ERROR_UNEXPECTED = _("Unexpected error.")
ERROR_UNKNOWN = _("Unknown error.")
ERROR_DISKS_SIZE = _("The sum of the selected disks sizes is smaller than the minimum allowed.")
ERROR_NO_DISK = _("No disk found in the system.")
ERROR_ENTITLEMENT = _("Hardware is not entitled, aborting installation.")
ERROR_INSTALL_SYSTEM = _("Error while installing IBM PowerKVM.")
ERROR_FORMATING_DISK = _("Error while performing disk operations.")
ERROR_ERROR = _("Invalid error code.")
ERROR_DELETE_ENTITIES = _("Could not remove LVM entities.")
ERROR_DEACTIVATE_VG = _("Could not deactivate volume groups.")
ERROR_ACTIVATE_VG = _("Could not activate volume groups.")
ERROR_STOP_SWRAID = _("Could not stop software RAID.")
ERROR_INFORMATION = _("Disk information not available.")
ERROR_DELETE_PARTITIONS = _("Failed to remove partitioning scheme.")
ERROR_CREATE_PARTITIONS = _("Failed to partition disk(s).")
ERROR_CREATE_LVM = _("Problem while creating LVM.")
ERROR_DISK_LABEL_ERROR = _("Failed to define disk label while partitioning disks.")
ERROR_INVALID_PV = _("Physical Volume does not exist.")
ERROR_INVALID_VG = _("Volume Group does not exist.")
ERROR_KS_MULTIPLE_VGS = _("Several volume groups were specified, at most one is supported.")
ERROR_KS_REPEATED_PVS = _("Volume group includes repeated physical volumes.")
ERROR_KS_INVALID_PV_NAME = _("Physical volume name should be formatted like: %(pvName)s.")
ERROR_KS_UNKNOWN_PV = _("All physical volumes in the volume group must be listed in part parameters.")
ERROR_KS_UNKNOWN_VG = _("Logical volume with mountpoint %(mountPoint)s cannot be added to inexistent volume group %(vgName)s.")
ERROR_LVS_SIZE = _("The sum of logical volume sizes is greater than the sum of disk sizes")
ERROR_LV_SIZE = _("Logical volume is smaller than the minimum size allowed")
ERROR_CREATE_ARRAY = _("Impossible to create the SW Raid.")
ERROR_DISK_SCAN = _("An error ocurred when scanning disks.")
ERROR_MULTIPATH_ERROR = _("Failed to setup Multipath correctly.")
ERROR_BOOTLOADER_ERROR = _("Failed to configure the bootloader.")
ERROR_DOWNLOAD_HTTP = _("Failed to download (HTTP) install automation file.")
ERROR_DOWNLOAD_TFTP = _("Failed to download (TFTP) install automation file.")
ERROR_DOWNLOAD_NFS = _("Problem downloading (NFS) install automation file.")
ERROR_PARSER_FILE = _("Could not parse install automation file.")
ERROR_RAID_GET_LABEL = _("Failed to get IPR RAID label.")
ERROR_PRE_MODULES = _("Failed while executing pre-install modules.")
ERROR_RAID_SET_LABEL = _("Failed to create disklabel on IPR RAID.")
ERROR_EXEC_PRESCRIPT = _("Failed to execute install automation pre-script.")
ERROR_EXEC_PRESCRIPT_PKVM = _("Failed to execute PowerKVM pre-script.")
ERROR_POST_MODULES = _("Failed while executing post-install modules.")
ERROR_ROOT_PWD_MANUAL = _("Failed to set password.")
ERROR_EXEC_POSTSCRIPT = _("Failed to execute install automation post-script.")
ERROR_NTP_SET = _("Failed to set NTP service.")
ERROR_INVALID_NIC = _("Invalid network interface.")
ERROR_UTC_CONF= _("Failed to write UTC time configuration.")
ERROR_NO_NIC = _("Missing target network interface in install automation file.")
ERROR_NO_DISK_KS = _("Missing target disk parameter in install automation file.")
ERROR_INSTALL_MSG = _("Error while installing packages.")
ERROR_NO_REPO = _("No repository provided to the installer.")
ERROR_PKG_REPO_MOUNT_ERROR = _("Failed to mount local packages repository.")
ERROR_YUM_CACHE_CREATE_ERROR = _("Failed to create Yum cache.")
ERROR_PKG_INSTALL_ERROR = _("Failed to install packages on target system.")
ERROR_YUM_CACHE_UMOUNT_ERROR = _("Failed to unmount Yum cache directory.")
ERROR_MEDIA_DIR_UMOUNT_ERROR = _("Failed to unmount media directory.")
ERROR_ROOT_PASSWD_CHANGE_ERROR = _("Failed to change root password on installed system.")
ERROR_SELINUX_FS_LABEL_ERROR = _("Failed to label filesystem for SELINUX.")
ERROR_SELINUX_RESTORE_ERROR = _("Failed to restore SELINUX permissions.")
ERROR_INVALID_REPO = _("Invalid repository path.")
ERROR_INVALID_REPO_CONTENT = _("Failed to access a valid packages repository. The one provided is different from expected.")
ERROR_YUM_INSTANCE_ERROR = _("Failed when creating Yum instance.")
ERROR_TIMEZONE_LIST = _("Failed to load Timezones list.")
ERROR_HWCLOCK_ERROR = _("Failed to set hardware clock.")
ERROR_ENTITLE_FW = _("Firmware version must be greater than %s")
ERROR_ENTITLE_MACHINE = _("Invalid machine type.")
ERROR_ENTITLE_HYPER = _("Invalid hypervisor.")
ERROR_DOWNLOAD_REPODATA_FAIL = _("Failed to download repodata.")
ERROR_NO_PREINSTALL = _("No previous system found.")
ERROR_UNEXPECTED_PARTITIONER = _("Unexpected error while partitioning the disk.")
ERROR_UNEXPECTED_PACKAGES = _("Unexpected error while installing packages.")
ERROR_UNEXPECTED_POSTINSTALL = _("Unexpected error while executing post-install modules.")
ERROR_UNEXPECTED_AUTOINSTALL = _("Unexpected error while executing kickstart.")
ERROR_UNEXPECTED_GETDISKS = _("Unexpected error while verifying disks.")
ERROR_UNEXPECTED_DISKSEL = _("Unexpected error while selecting disks.")
ERROR_UNEXPECTED_SYSCONF = _("Unexpected error while configuring system.")
ERROR_LOG_DIR_FULL = _("Cannot proceed with Reinstall: no space left on existing /var/log. Please clean up and try again, or proceed with fresh Install (will erase all partitions).")
ERROR_KS_NO_FORMAT = _("Either all or none of the logvol commands must contain the --noformat option.")
ERROR_KS_CANNOT_PRESERVE = _("Logical volume specification must contain exactly the %(numberOfPreservable)s mount points to preserve.")
ERROR_INEXISTENT_LV = _("Logical volume does not exist.")
ERROR_KS_VOLGROUP_PART = _("volgroup and partition can only appear together.")
ERROR_KS_PRESERV_VOLGROUP_PART = _("volgroup and partition should not be specified when preserving logical volumes.")
ERROR_KS_MISSING_LVM = _("LVM information is missing.")
ERROR_KS_SIZE_NO_FORMAT = _("The options --size and --noformat should not be specified together.")

# installationsummary
#
INSTALLATION_SUMMARY = _("Installation Summary")
TIMEZONE = _("Timezone: ")
DATE_TIME =_("Date/Time: ")
NTP_SERVERS = _("NTP servers")
NTP_DISABLED = _("NTP disabled")
IP_ADDRESS = _("IP Address: ")
GATEWAY = _("Gateway: ")
NETMASK = _("Netmask: ")
HOSTNAME = _("Hostname: ")
BRIDGE = _("Bridge: ")
DHCP_IS_ENABLE = _("DHCP is enabled")
NETWORK = _("Network")
DEVICE = _("Devices that will be used: ")
PASSWORD_IS_SET = _("Password is set")
SYSTEM_CLOCK_USES_UTC = _("System clock uses UTC: ")
PRESERVE_LVS = _("Preserve non-root logical volumes from previous installation.")

# license window
LICENSE_BUTTON_ACCEPT = _("I Accept both IBM and non-IBM terms")
LICENSE_BUTTON_DECLINE = _("I do not accept the terms in the license agreement")

# resizelogicalvolume
RESIZE_LOGICAL_VOLUME = _("Logical volumes resize:")
VOLUME_GROUP_NAME = _('Volume Group name:')
RESIZE_GB = _(" GiB")
SIZE_OF = _("Size of %(mountPoint)s:")
SIZE_OF_MIN_VALUE = _("Size of %(mountPoint)s (min. %(minSize)s%(sizeUnit)s):")
ERROR_SIZE_INVALID_VALUE_MSG = _("Value is invalid! The field will be reset to a default value.")
ERROR_SIZE_INVALID_VALUE = _("Value is invalid!")
ERROR_SIZE_MIN_VALUE = _("Min value error.")
ERROR_SIZE_MIN_VALUE_MSG = _("Logical volume with mount point %(mnt)s must have a size greater than %(size)s GiB.")

# select previous installation to preserve
SELECT_INSTALLATION = _("Select existing installation")

LVS_TO_ERASE = _("The following logical volumes will be erased:")
LVS_TO_PRESERVE = _("The following logical volumes will be preserved:")

MOUNT_POINTS_TO_ERASE = _("The logical volumes with the following mount points will be erased:")
MOUNT_POINTS_TO_PRESERVE = _("The logical volumes with the following mount points will be preserved:")

DISK_LAYOUT_VERSION = _("%(product)s %(version)s disk layout")
DISK_LAYOUT = _("disk layout")
PRESERVE_HELP_LINE = _("  <Tab>/<Shift-Tab> between elements  |  <F3> to display logical volumes")

EXCEPT = _("except the contents of:")
